Update endpoint settings
curl --request PATCH \
--url https://api.kordio.io/ledger/v1/webhook_endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"enabled_events": [
"<string>"
],
"active": true
}
'import requests
url = "https://api.kordio.io/ledger/v1/webhook_endpoints/{id}"
payload = {
"url": "<string>",
"description": "<string>",
"enabled_events": ["<string>"],
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
description: '<string>',
enabled_events: ['<string>'],
active: true
})
};
fetch('https://api.kordio.io/ledger/v1/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"active": true,
"description": "<string>",
"mode": "live",
"enabled_events": [
"<string>"
],
"last_delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"signing_secret": "<string>",
"signing_secret_note": "<string>"
}{
"error": {
"code": "not_found",
"message": "account not found",
"param": "id",
"docs_url": "https://docs.kordio.io/errors#not_found"
}
}PATCH
/
ledger
/
v1
/
webhook_endpoints
/
{id}
Update endpoint settings
Authorizations
Same flow; ledger:write is required for any mutation.
Path Parameters
Response
ok
Discriminator naming the shape of this resource (e.g. account, transaction).
Available options:
webhook_endpoint Example:
"account"
Available options:
live, test Returned only on create + rotate.
Hint to the integrator that the secret is shown once.